package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @author Yuanping Zhang
 * @date 2022/08/08
 */
@Entity
@Table(name = "monthly_settle")
public class MonthlySettle {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private int id;
    /**
     * 项目编号
     */
    @Column(name = "project_no")
    private String projectNo;
    /**
     * 最终业主
     */
    private String owner;
    /**
     * 合同方
     */
    @Column(name = "contract_party")
    private String contractParty;
    /**
     * 项目名称
     */
    @Column(name = "project_name")
    private String projectName;
    /**
     * 合同金额
     */
    @Column(name = "contract_amount")
    private String contractAmount;
    /**
     * 累计已收款
     */
    @Column(name = "total_collect")
    private String totalCollect;
    /**
     * 已采购累计付款
     */
    @Column(name = "total_purchased_paid")
    private String totalPurchasedPaid;
    /**
     * 已采购累计未付款
     */
    @Column(name = "total_purchased_unpaid")
    private String totalPurchasedUnpaid;
    /**
     * 超期垫资金额
     */
    @Column(name = "time_out_amount")
    private String timeOutAmount;
    /**
     * 销售累计开票金额
     */
    @Column(name = "total_bill_amount")
    private String totalBillAmount;
    /**
     * 合同编号
     */
    @Column(name = "contract_no")
    private String contractNo;
    /**
     * 项目类型
     */
    @Column(name = "project_type")
    private String projectType;
    /**
     * 合同签订时间
     */
    @Column(name = "contract_sign_time")
    private String contractSignTime;
    /**
     * 销售经理
     */
    @Column(name = "sale_manager")
    private String saleManager;
    /**
     * 项目经理
     */
    @Column(name = "project_manager")
    private String projectManager;
    /**
     * 收款节点
     */
    @Column(name = "collect_point")
    private String collectPoint;
    /**
     * 收款要求时间
     */
    @Column(name = "collect_required_time")
    private String collectRequiredTime;
    /**
     * 收款金额
     */
    @Column(name = "collect_amount")
    private String collectAmount;
    /**
     * 实际收款时间
     */
    @Column(name = "collect_actual_time")
    private String collectActualTime;
    /**
     * 实际收款金额
     */
    @Column(name = "collect_actual_amount")
    private String collectActualAmount;
    /**
     * 实际欠收金额
     */
    @Column(name = "uncollect_actual_amount")
    private String uncollectActualAmount;
    /**
     * 超期天数
     */
    @Column(name = "time_out_day")
    private String timeOutDay;
    /**
     * 到货证明
     */
    @Column(name = "product_certificate")
    private String productCertificate;
    /**
     * 验收报告时间
     */
    @Column(name = "inspection_report_time")
    private String inspectionReportTime;
    /**
     * 项目风险预警
     */
    @Column(name = "risk_warning")
    private String riskWarning;
    /**
     * 已计收金额
     */
    @Column(name = "cal_col_amount")
    private String calColAmount;
    /**
     * 未计收金额
     */
    @Column(name = "uncal_col_amount")
    private String uncalColAmount;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getContractParty() {
        return contractParty;
    }

    public void setContractParty(String contractParty) {
        this.contractParty = contractParty;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(String contractAmount) {
        this.contractAmount = contractAmount;
    }

    public String getTotalCollect() {
        return totalCollect;
    }

    public void setTotalCollect(String totalCollect) {
        this.totalCollect = totalCollect;
    }

    public String getTotalPurchasedPaid() {
        return totalPurchasedPaid;
    }

    public void setTotalPurchasedPaid(String totalPurchasedPaid) {
        this.totalPurchasedPaid = totalPurchasedPaid;
    }

    public String getTotalPurchasedUnpaid() {
        return totalPurchasedUnpaid;
    }

    public void setTotalPurchasedUnpaid(String totalPurchasedUnpaid) {
        this.totalPurchasedUnpaid = totalPurchasedUnpaid;
    }

    public String getTimeOutAmount() {
        return timeOutAmount;
    }

    public void setTimeOutAmount(String timeOutAmount) {
        this.timeOutAmount = timeOutAmount;
    }

    public String getTotalBillAmount() {
        return totalBillAmount;
    }

    public void setTotalBillAmount(String totalBillAmount) {
        this.totalBillAmount = totalBillAmount;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getContractSignTime() {
        return contractSignTime;
    }

    public void setContractSignTime(String contractSignTime) {
        this.contractSignTime = contractSignTime;
    }

    public String getSaleManager() {
        return saleManager;
    }

    public void setSaleManager(String saleManager) {
        this.saleManager = saleManager;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getCollectPoint() {
        return collectPoint;
    }

    public void setCollectPoint(String collectPoint) {
        this.collectPoint = collectPoint;
    }

    public String getCollectRequiredTime() {
        return collectRequiredTime;
    }

    public void setCollectRequiredTime(String collectRequiredTime) {
        this.collectRequiredTime = collectRequiredTime;
    }

    public String getCollectAmount() {
        return collectAmount;
    }

    public void setCollectAmount(String collectAmount) {
        this.collectAmount = collectAmount;
    }

    public String getCollectActualTime() {
        return collectActualTime;
    }

    public void setCollectActualTime(String collectActualTime) {
        this.collectActualTime = collectActualTime;
    }

    public String getCollectActualAmount() {
        return collectActualAmount;
    }

    public void setCollectActualAmount(String collectActualAmount) {
        this.collectActualAmount = collectActualAmount;
    }

    public String getUncollectActualAmount() {
        return uncollectActualAmount;
    }

    public void setUncollectActualAmount(String uncollectActualAmount) {
        this.uncollectActualAmount = uncollectActualAmount;
    }

    public String getTimeOutDay() {
        return timeOutDay;
    }

    public void setTimeOutDay(String timeOutDay) {
        this.timeOutDay = timeOutDay;
    }

    public String getProductCertificate() {
        return productCertificate;
    }

    public void setProductCertificate(String productCertificate) {
        this.productCertificate = productCertificate;
    }

    public String getInspectionReportTime() {
        return inspectionReportTime;
    }

    public void setInspectionReportTime(String inspectionReportTime) {
        this.inspectionReportTime = inspectionReportTime;
    }

    public String getRiskWarning() {
        return riskWarning;
    }

    public void setRiskWarning(String riskWarning) {
        this.riskWarning = riskWarning;
    }

    public String getCalColAmount() {
        return calColAmount;
    }

    public void setCalColAmount(String calColAmount) {
        this.calColAmount = calColAmount;
    }

    public String getUncalColAmount() {
        return uncalColAmount;
    }

    public void setUncalColAmount(String uncalColAmount) {
        this.uncalColAmount = uncalColAmount;
    }
}
